Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 04-09-04, 02:45 AM   #1
encrypted
Registered User
 
Join Date: Apr 2004
Posts: 4
Default need help installing....

im getting an error when i install.. im sorta a linux newbie, can someone help me out?

im running fedora core 1, and my video card is a geforce4 ti4600

heres the log:
nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Fri Apr 9 03:35:48 2004

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : false
no questions : false
silent : false
XFree86 install prefix : /usr/X11R6
OpenGL install prefix : /usr
Installer install prefix: /usr
kernel source path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /tmp
ftp site : ftp://download.nvidia.com

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
this means that the installer will need to compile a kernel interface for
your kernel.
-> Kernel source path: '/lib/modules/2.4.22-1.2174.nptl/build'
-> Performing cc_version_check with CC="cc".
-> Cleaning kernel module build directory.
executing: 'cd ./usr/src/nv; make clean'...
rm -f nv.o os-agp.o os-interface.o os-registry.o nv-linux.o nv_compiler.h *
.d NVdriver nvidia.o
-> Building kernel module:
executing: 'cd ./usr/src/nv; make module SYSSRC=/lib/modules/2.4.22-1.2174.n
ptl/build'...
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wp
arentheses -Wpointer-arith -Wno-multichar -Werror -O -MD -D__KERNEL__ -DMO
DULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KE
RNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=5
336 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -DREMAP_PAGE_
RANGE_4 -I. -I/lib/modules/2.4.22-1.2174.nptl/build/include -Wno-cast-qual
-Wno-error nv.c
In file included from /lib/modules/2.4.22-1.2174.nptl/build/include/linux/vm
alloc.h:8,
from nv-linux.h:62,
from nv.c:14:
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h: In function `
bh_kmap':
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h:20: warning: p
ointer of type `void *' used in arithmetic
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wp
arentheses -Wpointer-arith -Wno-multichar -Werror -O -MD -D__KERNEL__ -DMO
DULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KE
RNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=5
336 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -DREMAP_PAGE_
RANGE_4 -I. -I/lib/modules/2.4.22-1.2174.nptl/build/include -Wno-cast-qual
-Wno-error os-agp.c
In file included from /lib/modules/2.4.22-1.2174.nptl/build/include/linux/vm
alloc.h:8,
from nv-linux.h:62,
from os-agp.c:24:
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h: In function `
bh_kmap':
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h:20: warning: p
ointer of type `void *' used in arithmetic
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wp
arentheses -Wpointer-arith -Wno-multichar -Werror -O -MD -D__KERNEL__ -DMO
DULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KE
RNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=5
336 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -DREMAP_PAGE_
RANGE_4 -I. -I/lib/modules/2.4.22-1.2174.nptl/build/include -Wno-cast-qual
-Wno-error os-interface.c
In file included from /lib/modules/2.4.22-1.2174.nptl/build/include/linux/vm
alloc.h:8,
from nv-linux.h:62,
from os-interface.c:26:
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h: In function `
bh_kmap':
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h:20: warning: p
ointer of type `void *' used in arithmetic
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wp
arentheses -Wpointer-arith -Wno-multichar -Werror -O -MD -D__KERNEL__ -DMO
DULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KE
RNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=5
336 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -DREMAP_PAGE_
RANGE_4 -I. -I/lib/modules/2.4.22-1.2174.nptl/build/include -Wno-cast-qual
-Wno-error os-regist
ry.c
In file included from /lib/modules/2.4.22-1.2174.nptl/build/include/linux/vm
alloc.h:8,
from nv-linux.h:62,
from os-registry.c:14:
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h: In function `
bh_kmap':
/lib/modules/2.4.22-1.2174.nptl/build/include/linux/highmem.h:20: warning: p
ointer of type `void *' used in arithmetic
ld -r -o nv-linux.o nv.o os-agp.o os-interface.o os-registry.o
ld -r -o nvidia.o nv-linux.o nv-kernel.o
-> done.
-> Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.o'. This is most likely
because the kernel module was built using the wrong kernel source files.
Please make sure you have installed the kernel source files for your
kernel; on Red Hat Linux systems, for example, be sure you have the
'kernel-source' rpm installed. If you know the correct kernel source
files are installed, you may specify the kernel source path with the
'--kernel-source-path' commandline option.
-> Kernel module load error: WARNING: /usr/local/sbin/insmod.old: I am not the
old version!
insmod: error inserting './usr/src/nv/nvidia.o': -1 Unknown symbol in
module
--------------------------------
any ideas? please tell me
encrypted is offline   Reply With Quote
Old 04-09-04, 03:28 AM   #2
neeko
Registered User
 
Join Date: Apr 2004
Posts: 13
Default Re: need help installing....

Have a read of the readme file, the kernel sources found don't match your kernel.

Open a console window and enter: uname -r
The result should match your kernel source found (2.4.22-1.2174.nptl) during the install, if not then that is the problem.

Solution - reinstall the (correct!) kernel source files.

-N
neeko is offline   Reply With Quote
Old 04-09-04, 09:30 AM   #3
encrypted
Registered User
 
Join Date: Apr 2004
Posts: 4
Default Re: need help installing....

i do have the correct kernel source file installed...

edit:
[*******@d14-69-73-190 /]$ uname -r
2.4.22-1.2174.nptl


Would it also be bad if i had an older version of the kernel source installed along with the one i currently have? if so, should i delete it?

Last edited by encrypted; 04-09-04 at 09:40 AM. Reason: more info
encrypted is offline   Reply With Quote
Old 04-09-04, 04:43 PM   #4
encrypted
Registered User
 
Join Date: Apr 2004
Posts: 4
Default Re: need help installing....

can anyone help me out here please? im desperate :-(
encrypted is offline   Reply With Quote
Old 04-10-04, 08:11 AM   #5
andyrock
Registered User
 
andyrock's Avatar
 
Join Date: Jan 2004
Location: EU / Portugal
Posts: 110
Default Re: need help installing....

try this:

cd /usr/src/linux
cp /boot/config-2.4.22-xxxxxxx ./.config
make dep

reinstall nvidia kernel module:

NVIDIA-5336xxxx.run -K

Let us know if this works
__________________
AndyRock

--
1. Toshiba M30-742 | Centrino/Pentium-M 1700mhz | Geforce FX 5200Go
2. Celeron (Tualatin) 1400mhz | Geforce Ti 4800SE
andyrock is offline   Reply With Quote
Old 04-10-04, 09:43 AM   #6
encrypted
Registered User
 
Join Date: Apr 2004
Posts: 4
Default Re: need help installing....

now i have a whole new problem... im running kernel 2.6.5 now, and heres the error it gives me:

nvidia-installer log file '/var/log/nvidia-installer.log'
creation time: Sat Apr 10 10:38:28 2004

option status:
license pre-accepted : false
update : false
force update : false
expert : false
uninstall : false
driver info : false
no precompiled interface: false
no ncurses color : false
query latest driver ver : false
OpenGL header files : false
no questions : false
silent : false
XFree86 install prefix : /usr/X11R6
OpenGL install prefix : /usr
Installer install prefix: /usr
kernel include path : (not specified)
kernel install path : (not specified)
proc mount point : /proc
ui : (not specified)
tmpdir : /tmp
ftp site : ftp://download.nvidia.com

Using: nvidia-installer ncurses user interface
-> License accepted.
-> No precompiled kernel interface was found to match your kernel; would you li
ke the installer to attempt to download a kernel interface for your kernel f
rom the NVIDIA ftp site (ftp://download.nvidia.com)? (Answer: Yes)
-> No matching precompiled kernel interface was found on the NVIDIA ftp site;
this means that the installer will need to compile a kernel interface for
your kernel.
-> Kernel include path: '/lib/modules/2.6.5/build/include'
-> Performing cc_version_check with CC="cc".
-> Cleaning kernel module build directory.
executing: 'cd ./usr/src/nv; make clean'...
rm -f nv.o os-agp.o os-interface.o os-registry.o nv-linux.o nv_compiler.h *
.d NVdriver nvidia.o
-> Building kernel module:
executing: 'cd ./usr/src/nv; make nvidia.o SYSINCLUDE=/lib/modules/2.6.5/bui
ld/include'...
echo \#define NV_COMPILER \"`cc -v 2>&1 | tail -n 1`\" > nv_compiler.h
cc -c -Wall -Wimplicit -Wreturn-type -Wswitch -Wformat -Wchar-subscripts -Wp
arentheses -Wpointer-arith -Wno-multichar -Werror -O -MD -D__KERNEL__ -DMO
DULE -D_LOOSE_KERNEL_NAMES -DNTRM -D_GNU_SOURCE -D_LOOSE_KERNEL_NAMES -D__KE
RNEL__ -DMODULE -DNV_MAJOR_VERSION=1 -DNV_MINOR_VERSION=0 -DNV_PATCHLEVEL=5
328 -DNV_UNIX -DNV_LINUX -DNV_INT64_OK -DNVCPU_X86 -DREMAP_PAGE_
RANGE_5 -I. -I/lib/modules/2.6.5/build/include -Wno-cast-qual -Wno-error nv
.c
In file included from nv.c:14:
nv-linux.h:51:4: #error This driver does not support 2.6.x or newer kernels!
In file included from /lib/modules/2.6.5/build/include/linux/irq.h:20,
from /lib/modules/2.6.5/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.5/build/include/linux/interrupt.h:11,
from nv-linux.h:79,
from nv.c:14:
/lib/modules/2.6.5/build/include/asm/irq.h:16:25: irq_vectors.h: No such fil
e or directory
In file included from /lib/modules/2.6.5/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.5/build/include/linux/interrupt.h:11,
from nv-linux.h:79,
from nv.c:14:
/lib/modules/2.6.5/build/include/linux/irq.h:70: error: `NR_IRQS' undeclared
here (not in a function)
In file included from /lib/modules/2.6.5/build/include/linux/irq.h:72,
from /lib/modules/2.6.5/build/include/asm/hardirq.h:6,
from /lib/modules/2.6.5/build/include/linux/interrupt.h:11,
from nv-linux.h:79,
from nv.c:14:
/lib/modules/2.6.5/build/include/asm/hw_irq.h:28: error: `NR_IRQ_VECTORS' un
declared here (not in a function)
/lib/modules/2.6.5/build/include/asm/hw_irq.h:31: error: `NR_IRQS' undeclare
d here (not in a function)
In file included from nv.c:14:
nv-linux.h: In function `NV_IRQL_IS_RAISED':
nv-linux.h:478: warning: implicit declaration of function `__save_flags'
nv.c: In function `nv_kern_vma_open':
nv.c:1036: warning: `MOD_INC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:515)
nv.c: In function `nv_kern_vma_release':
nv.c:1070: warning: `MOD_DEC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:527)
nv.c: At top level:
nv.c:1164: warning: initialization from incompatible pointer type
nv.c: In function `nv_kern_open':
nv.c:1263: warning: passing arg 2 of `request_irq' from incompatible pointer
type
nv.c:1291: warning: `MOD_INC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:515)
nv.c: In function `nv_kern_close':
nv.c:1384: warning: `MOD_DEC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:527)
nv.c: In function `nv_kern_mmap':
nv.c:1552: warning: `MOD_INC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:515)
nv.c: In function `nv_kern_ioctl':
nv.c:1651: error: structure has no member named `uc'
nv.c: In function `nv_kern_isr':
nv.c:1795: warning: implicit declaration of function `mark_bh'
nv.c:1795: error: `IMMEDIATE_BH' undeclared (first use in this function)
nv.c:1795: error: (Each undeclared identifier is reported only once
nv.c:1795: error: for each function it appears in.)
nv.c: In function `nv_kern_ctl_open':
nv.c:1917: warning: `MOD_INC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:515)
nv.c: In function `nv_kern_ctl_close':
nv.c:1960: warning: `MOD_DEC_USE_COUNT' is deprecated (declared at /lib/modu
les/2.6.5/build/include/linux/module.h:527)
nv.c: In function `nv_kern_read_agpinfo':
nv.c:2095: error: structure has no member named `name'
make: *** [nv.o] Error 1
-> Error.
ERROR: Unable to build the NVIDIA kernel module.
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.

------------------------

urg =\
encrypted is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
monitor not recognised after installing nvidia drivers Horaciusl NVIDIA Linux 3 08-10-12 10:59 PM
Need Help Installing NVIDIA Tesla M2070Q in Linux RHEL5 Ferianto85 NVIDIA Linux 0 05-18-12 08:35 PM
After installing XP SP1 should I install DX8.1b john19055 Microsoft Windows XP And Vista 8 09-25-02 03:44 PM
Installing nForce drivers on Debian 3.0 Doink NVIDIA Linux 4 09-14-02 08:34 PM
Closing Xwindows, RH73, for installing nV drivers redigjohn NVIDIA Linux 1 09-06-02 11:26 AM

All times are GMT -5. The time now is 11:40 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.